mui.init();
mui.plusReady(function() {
	getPosition();
	var header = document.querySelector('header.mui-bar');
	var list = document.getElementById('list');
	list.style.height = (document.body.offsetHeight - header.offsetHeight) + 'px';
	window.indexedList = new mui.IndexedList(list);
});

//区县折叠
var UL = document.getElementById("UL");
var oChoice = document.getElementById("choice");
oChoice.addEventListener("tap", function() {
	if(UL.style.display == 'none') {
		UL.style.display = 'block';
		this.style.background = 'url(img/icon/up_icon.png) no-repeat 42px center';
		this.style.backgroundSize = '55px 30px';
	} else {
		UL.style.display = 'none';
		this.style.background = 'url(img/icon/down_icon.png) no-repeat 45px center';
		this.style.backgroundSize = '50px 30px';
	}
})

//切换区县
mui('#UL').on("tap", "a", function() {
	var itemList = document.getElementsByName("area");
	for(var i = 0; i < itemList.length; i++) {
		itemList[i].className = '';
	}
	this.className = 'focus';
	document.getElementById("span_q").innerText = this.innerText;
})

//选择最近访问城市
mui('#recentCity').on("tap", "span", function() {
	var itemList = document.getElementsByName("ret");
	for(var i = 0; i < itemList.length; i++) {
		itemList[i].style.background = '#FFFFFF';
	}
	this.style.background = '#F2F2F2';
	document.getElementById("span_s").innerText = this.innerText;
	document.getElementById("span_q").innerText = "全城";
})

//选择其他城市
mui('.mui-table-view').on("tap", ".mui-indexed-list-item", function() {
	document.getElementById("span_s").innerText = this.innerText;
	document.getElementById("span_q").innerText = "全城";
})

//获取当前位置
function getPosition() {
	plus.geolocation.getCurrentPosition(function(position) {
		document.getElementById("span_s").innerText = position.address.city.replace('市', '');
		document.getElementById("curCity").innerText = position.address.city.replace('市', '');
	}, function(position) {
		mui.toast("定位信息获取失败");
	}, {
		provider: 'baidu',
		enableHighAccuracy: true
	});
}