//日期选择
(function($) {
	$.init();
	InitFW();
	var lidates = $('.lidate');
	lidates.each(function(i, lidate) {

		lidate.addEventListener('tap', function() {
			var nowYear=new Date().getFullYear();
            var optionsJson='{"type":"date","beginYear":'+(nowYear-2)+',"endYear":'+(nowYear+1)+'}';
			var options = JSON.parse(optionsJson);

			var idspan = "span_" + this.getAttribute('id');
			var idxz = "xz_" + this.getAttribute('id');
			/*
			 * 首次显示时实例化组件
			 * 示例为了简洁，将 options 放在了按钮的 dom 上
			 * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
			 */
			var picker = new $.DtPicker(options);
			picker.show(function(rs) {

				/*
				 * rs.value 拼合后的 value
				 * rs.text 拼合后的 text
				 * rs.y 年，可以通过 rs.y.vaue 和 rs.y.text 获取值和文本
				 * rs.m 月，用法同年
				 * rs.d 日，用法同年
				 * rs.h 时，用法同年
				 * rs.i 分（minutes 的第二个字母），用法同年
				 */
				//							var ids = id + 1;
				document.getElementById(idspan).innerText = rs.text;
				document.getElementById(idxz).style.display = "none";
				//							document.getElementById(id).className = "mui-btn";
				//							document.getElementById(ids).innerText = "";
				/* 
				 * 返回 false 可以阻止选择框的关闭
				 * return false;
				 */
				/*
				 * 释放组件资源，释放后将将不能再操作组件
				 * 通常情况下，不需要示放组件，new DtPicker(options) 后，可以一直使用。
				 * 当前示例，因为内容较多，如不进行资原释放，在某些设备上会较慢。
				 * 所以每次用完便立即调用 dispose 进行释放，下次用时再创建新实例。
				 */
				picker.dispose();
			});
		}, false);
	});

})(mui);
//打开页面
document.getElementById("submit2").addEventListener("tap", function() {

	var begindate = document.getElementById("span_btnbegindate").innerText;
	var enddate = document.getElementById("span_btnenddate").innerText;
	var minvalue = document.getElementById("minvalue").value;
	var maxvalue = document.getElementById("maxvalue").value;

	if(begindate == "" && enddate == "" && minvalue == "" && maxvalue == "") {
		mui.toast("请选择查询条件");
		return;
	}

	if(begindate != "" && enddate != "" && enddate < begindate) {
		mui.toast("结束时间必须大于开始时间");
		return;
	}

	var msg = "";
	if(begindate != "") {
		msg += "开始时间:" + begindate + "；";
	}
	if(enddate != "") {
		msg += "结束时间:" + enddate + "；";
	}
	if(document.getElementById('stateResult').innerText.trim() != "") {
		msg += "金额范围:" + document.getElementById('stateResult').innerText + "；";
	}
	VisitInfo('建造师业绩查询', '按中标条件查询建造师业绩：' + msg);
	mui.openWindow({
			url: 'jianZaoShiNameListByBid.html',
			id: 'jianZaoShiNameListByBid.html',
			extras: {
				begindate: begindate,
				enddate: enddate,
				minvalue: minvalue,
				maxvalue: maxvalue
			}

		})
		//   if(parseInt(localStorage["coinnum"]) - 1000 <= 0) {
		//				mui.toast("金币余额不足，请充值");
		//				mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
		//				return;
		//			}  
		//	var bts = ["确定", "取消"];
		//	plus.nativeUI.confirm("查询将花费1000枚金币，当前金币余额"+localStorage["coinnum"]+"枚，请确认是否查询。", function(e) {
		//
		//		if(bts[e.index] == "确定") {
		//			
		//				GoldCoinConsumer("按中标条件查询建造师业绩");
		//				
		//			 
		//		}
		//	}, "提示", bts);

})
document.getElementById("submit1").addEventListener("tap", function() {
	var PMName = document.getElementById("PMName").value.trim();
	if(PMName == "") {
		mui.toast("请输入姓名!");
		return;
	}
	VisitInfo('建造师业绩查询', '按姓名关键字查询建造师业绩：' + PMName);
	mui.openWindow({
		url: 'jianZaoShiNameList.html',
		id: 'jianZaoShiNameList.html',
		extras: {
			ProjectManagerName: PMName
		}
	})

})

function GoldCoinConsumer(ConsumerContent) {
	var url = config.ServerUrl + "AppService/App_Data.ashx";
	var data = {
		token: app.getState().token,
		device_id: plus.device.uuid,
		Method: "GoldCoinConsumer",
		GoldCoin: 1000,
		ConsumerContent: ConsumerContent
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为10秒；
		success: function(data) {
			//服务器返回响应，根据响应结果，分析是否登录成功；
			try {
 

				if(data.message[0].GoldCoin != undefined) {
					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(data.message[0].GoldCoin);
					if(mui.os.android || window.localStorage["isFree"] == '0')
						mui.toast("消费" + Math.abs(data.message[0].GoldCoin) + "枚金币");
				}

			} catch(e) {
				console.log(e.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			if(type == "timeout") {
				mui.toast("网络繁忙！");
				return;
			}

			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
			mui.toast("读取失败！");
		}
	});
}

function InitFW() {

	var statePicker = new mui.PopPicker();
	statePicker.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '10',
		text: '1000万以下'
	}, {
		value: '20',
		text: '1000万-5000万'
	}, {
		value: '30',
		text: '5000万-20000万'
	}, {
		value: '40',
		text: '20000万以上'
	}]);
	var showStatePickerButton = document.getElementById('showStatePicker');
	var stateResult = document.getElementById('stateResult');
	var minvalue = document.getElementById('minvalue');
	var maxvalue = document.getElementById('maxvalue');
	showStatePickerButton.addEventListener('tap', function(event) {

		statePicker.show(function(items) {
			if(items[0].value != "") {
				stateResult.innerText = items[0].text;
				if(items[0].value == "10") {
					maxvalue.value = "10000000";
				}
				if(items[0].value == "20") {
					minvalue.value = "10000000";
					maxvalue.value = "50000000";
				}
				if(items[0].value == "30") {
					minvalue.value = "50000000";
					maxvalue.value = "200000000";
				}
				if(items[0].value == "40") {
					minvalue.value = "200000000";
				}
				document.getElementById("xzje").style.display = "none";
			} else {
				stateResult.innerText = "";
				minvalue.value = "";
				maxvalue.value = "";
				document.getElementById("xzje").style.display = "block";
			}

		});

	});
}

document.getElementById("cleardv").addEventListener('tap', function() {
	document.getElementById("stateResult").innerText = "";
	document.getElementById("span_btnbegindate").innerText = "";
	document.getElementById("span_btnenddate").innerText = "";
	document.getElementById("minvalue").value = "";
	document.getElementById("maxvalue").value = "";
	document.getElementById("xz_btnbegindate").style.display = "block";
	document.getElementById("xz_btnenddate").style.display = "block";
	document.getElementById("xzje").style.display = "block";
})