mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var UnitGuid = self.UnitGuid;
	GetBidInfo(UnitGuid);
	document.getElementById("jieMi").addEventListener("tap", function() {

		//	             mui.toast('功能完善中……');
		mui.openWindow({
			url: 'jieMiPage.html',
			id: 'jieMiPage.html',
			extras: {
				UnitGuid: plus.webview.currentWebview().UnitGuid
			}
		})
	})
	document.getElementById("baoJia").addEventListener("tap", function() {
 
		//			   mui.toast('功能完善中……');	
		mui.openWindow({
			url: 'changbiao.html',
			id: 'changbiao.html',
			extras: {
				UnitGuid: plus.webview.currentWebview().UnitGuid
			}
		})
	})

})

function GetBidInfo(UnitGuid) {

	var url = config.ServerUrl + "AppService/App_Data.ashx";

	var data = {
		Method: 'GetPrjDetail',
		token: app.getState().token,
		device_id: plus.device.uuid,
		UnitGuid: UnitGuid
	};

	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {

			if(data.success == true) {

				Zepto("#BidNo").text(data.message[0].BidNo);
				Zepto("#BidName").text(data.message[0].BidName);
				Zepto("#ZBR").text(data.message[0].TendereeName);
				Zepto("#ZBDL").text(data.message[0].BidAgencyName);
				Zepto("#PSType").text(data.message[0].BasePrice);

				var BasePriceCalculate = data.message[0].BasePriceCalculate;
				Zepto("#AvgCount").text(BasePriceCalculate);
				if(BasePriceCalculate == "方法一") {
					Zepto("#liK").show();
					Zepto("#K").text(data.message[0].K == undefined ? 0 : parseFloat(data.message[0].K * 100).toFixed(2) + "%");
				} else if(BasePriceCalculate == "方法二") {
					Zepto("#liK1").show();
					Zepto("#liK2").show();
					Zepto("#liQ1").show();
					Zepto("#liQ2").show();
					Zepto("#K1").text(data.message[0].K1 == undefined ? 0 : parseFloat(data.message[0].K1 * 100).toFixed(2) + "%");
					Zepto("#K2").text(data.message[0].K2 == undefined ? 0 : parseFloat(data.message[0].K2 * 100).toFixed(2) + "%");
					Zepto("#Q1").text(data.message[0].Q1 == undefined ? 0 : parseFloat(data.message[0].Q1 * 100).toFixed(2) + "%");
					Zepto("#Q2").text(data.message[0].Q2 == undefined ? 0 : parseFloat(data.message[0].Q2 * 100).toFixed(2) + "%");
				}
				//				Zepto("#K").text(data.message[0].K);
				//			 	Zepto("#K1").text(data.message[0].K1);
				//			 	Zepto("#K2").text(data.message[0].K2);
				//			 	Zepto("#Q1").text(data.message[0].Q1);
				//			 	Zepto("#Q2").text(data.message[0].Q2);

			} else {
				mui.toast("获取失败!");
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);

		}
	});
}