mui.init();

mui.plusReady(function() {

})

//选择金额范围
var showUserPickerButton1 = document.getElementById('jefw');
var userResult1 = document.getElementById('spanjefw');
showUserPickerButton1.addEventListener('tap', function(event) {
	var userPicker1 = new mui.PopPicker();
	userPicker1.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '10',
		text: '1000万以下'
	}, {
		value: '20',
		text: '1000万-5000万'
	}, {
		value: '30',
		text: '5000万-20000万'
	}, {
		value: '40',
		text: '20000万以上'
	}]);
	userPicker1.show(function(items) {
		userResult1.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult1.lang = items[0].value;
		if(items[0].text != "请选择") {
			showUserPickerButton1.querySelector('.fr').innerText = '';
		} else {
			showUserPickerButton1.querySelector('.fr').innerText = '请选择';
		}
	});
}, false);

//选择工程类别
var showUserPickerButton2 = document.getElementById('gclb');
var userResult2 = document.getElementById('spangclb');
showUserPickerButton2.addEventListener('tap', function(event) {
	var userPicker2 = new mui.PopPicker();
	userPicker2.setData([{
		value: '',
		text: '请选择'
	}, {
		value: '房屋建筑工程',
		text: '房屋建筑工程'
	}, {
		value: '装饰装修工程',
		text: '装饰装修工程'
	}, {
		value: '安装工程',
		text: '安装工程'
	}, {
		value: '市政公用工程',
		text: '市政公用工程'
	}, {
		value: '园林绿化古建筑工程',
		text: '园林绿化古建筑工程'
	}, {
		value: '市政养护工程',
		text: '市政养护工程'
	}, {
		value: '水利水电工程',
		text: '水利水电工程'
	}, {
		value: '电力工程',
		text: '电力工程'
	}, {
		value: '雨污水改造',
		text: '雨污水改造'
	}, {
		value: '其他工程',
		text: '其他工程'
	}]);
	userPicker2.show(function(items) {
		userResult2.innerText = items[0].text == "请选择" ? "" : items[0].text;
		userResult2.lang = items[0].value;
		if(items[0].text != "请选择") {
			showUserPickerButton2.querySelector('.fr').innerText = '';
		} else {
			showUserPickerButton2.querySelector('.fr').innerText = '请选择';
		}
	});
}, false);

//日期选择
var lidates = mui('.lidate');
lidates.each(function(i, lidate) {
	lidate.addEventListener('tap', function() {
		var nowYear=new Date().getFullYear();
        var optionsJson='{"type":"date","beginYear":'+(nowYear-2)+',"endYear":'+(nowYear+1)+'}';
		var options = JSON.parse(optionsJson);
		var id = this.getAttribute('name');
		var picker = new mui.DtPicker(options);
		picker.show(function(rs) {
			var ids = id + 1;
			document.getElementById(id).innerText = rs.text;
			document.getElementById(id).className = "mui-btn";
			document.getElementById(ids).innerText = "";
			picker.dispose();
		});
	}, false);
});

//按名称查询
document.getElementById("submit1").addEventListener("tap", function() {
	var name = document.getElementById("searchName").value;
	if(name == "") {
		mui.toast("请输入单位名称");
		return;
	}
	VisitInfo('企业业绩查询', '按单位名称查询企业业绩：' + name);
	mui.openWindow({
		url: 'qiyeyejifree_main.html',
		id: 'qiyeyejifree_main.html',
		extras: {
			method: 'getListByName',
			CompanyName: name
		}
	})
})
document.getElementById("submit").addEventListener("tap", function() {
	var minMoney = '';
	var maxMoney = '';
	var value = document.getElementById("spanjefw").innerText;
	if(value == '1000万以下')
		maxMoney = 10000000;
	else if(value == '1000万-5000万') {
		minMoney = 10000000;
		maxMoney = 50000000;
	} else if(value == '5000万-20000万') {
		minMoney = 50000000;
		maxMoney = 200000000;
	} else if(value == '20000万以上')
		minMoney = 200000000;
	var time1 = document.getElementById("spanfromdatetime").innerText;
	var time2 = document.getElementById("spantodatetime").innerText;
	var Projecttype = document.getElementById("spangclb").innerText;
	if(time1 == '' && time2 == '' && Projecttype == '' && value == '') {
		mui.toast("请选择查询条件");
		return;
	}

	var msg = "";
	if(value != "") {
		msg += "金额范围：" + value + "；";

	}
	if(Projecttype != "") {
		msg += "工程类别：" + Projecttype + "；";

	}
	if(time1 != "") {
		msg += "开始时间：" + time1 + "；";

	}
	if(time2 != "") {
		msg += "结束时间：" + time2 + "；";

	}
	VisitInfo('企业业绩查询', '按中标情况查询企业业绩：' + msg);
	mui.openWindow({
			url: 'qiyeyeji_main.html',
			id: 'qiyeyeji_main.html',
			extras: {
				method: 'getListByOther',
				stime: time1,
				etime: time2,
				minMoney: minMoney,
				maxMoney: maxMoney,
				type: Projecttype == "" ? "" : Projecttype
			}
		})
		//	if(parseInt(localStorage["coinnum"]) - 1000 <= 0) {
		//		mui.toast("金币余额不足，请充值");
		//		mui.openWindow('../gouMaiJinBi/gouMaiJinBi.html', 'gouMaiJinBi');
		//		return;
		//	}

	//	var bts = ["确定", "取消"];
	//	plus.nativeUI.confirm("查询将花费1000枚金币，当前金币余额" + localStorage["coinnum"] + "枚，请确认是否查询。", function(e) {
	//
	//		if(bts[e.index] == "确定") {
	//
	//			GoldCoinConsumer("按中标情况查询企业业绩");
	//		
	//
	//		}
	//	}, "提示", bts);

})

document.getElementById('cleardv').addEventListener('tap', function() {
	document.getElementById("spanfromdatetime").innerText = "";
	document.getElementById("spantodatetime").innerText = "";
	document.getElementById("spangclb").innerText = "";
	document.getElementById("spangclb").lang = "";
	document.getElementById("spanjefw").innerText = "";
	document.getElementById("spanjefw").lang = "";
	mui(".fr").each(function() {
		this.innerText = '请选择';

	});
})

//function GoldCoinConsumer(ConsumerContent) {
//	var url = config.ServerUrl + "AppService/App_Data.ashx";
//	var data = {
//		token: app.getState().token,
//		device_id: plus.device.uuid,
//		Method: "GoldCoinConsumer",
//		GoldCoin: 1000,
//		ConsumerContent: ConsumerContent
//	};
//
//	mui.ajax(url, {
//		data: data,
//		dataType: "json",
//		type: 'post', //HTTP请求类型
//		timeout: 20000, //超时时间设置为10秒；
//		success: function(data) {
//			//服务器返回响应，根据响应结果，分析是否登录成功；
//			try {
//
//				var info = JSON.parse(JSON.stringify(data));
//
//				if(info.message[0].GoldCoin != undefined) {
//					localStorage["coinnum"] = parseInt(localStorage["coinnum"]) + parseInt(info.message[0].GoldCoin);
//					mui.toast("消费" + Math.abs(info.message[0].GoldCoin) + "枚金币");
//				}
//
//			} catch(e) {
//				console.log(e.message)
//			}
//
//		},
//		error: function(xhr, type, errorThrown) {
//			//异常处理；
//			if(type == "timeout") {
//				mui.toast("网络繁忙！");
//				return;
//			}
//
//			console.log("错误代码：" + xhr.status)
//			console.log("服务器返回内容：" + xhr.responseText);
//			mui.toast("读取失败！");
//		}
//	});
//}