mui.init();
mui.plusReady(function(){
 	var self = plus.webview.currentWebview();
	var UnitGuid = self.UnitGuid;
 
    GetBidInfo(UnitGuid);
 	 
})

function GetBidInfo(UnitGuid){
	
    var url = config.ServerUrl + "AppService/App_Data.ashx";
 
	var data = {
		Method: 'GetBidInfo',
		token: app.getState().token,
		device_id: plus.device.uuid,
		UnitGuid: UnitGuid
	};
 
	mui.ajax(url, {
		data: data,
		dataType: "json",
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
	 
			if(data.success == "true"&&data.message!="nodata") {
				 
				 
				var ulcontent=Zepto("#ulList");
				for(var i=0;i<data.message.length;i++)
				{
						 var li = document.createElement('li');
						 li.className="mui-table-view-cell";
						 li.id = data.message[i].UnitGuid;
						 li.innerHTML='<span class="spanTitle">'+data.message[i].CompanyName+'</span>'+
							'<span class="spantxt">报价 : '+data.message[i].QuotedPrice+'元</span>';
				         ulcontent.append(li);
				}
			
 
			 
			} 
			else{
			    var li = document.createElement('li');
			    li.className="mui-table-view-cell";
			    li.innerHTML="<div class='t_c'>暂无数据</div>";
				Zepto("#ulList").append(li);
			}
		},
		error: function(xhr, type, errorThrown) {
		 
			//异常处理；
			console.log("错误代码：" + xhr.status)
			console.log("服务器返回内容：" + xhr.responseText);
		 
		}
	});
}
 